4.3.1JP Final版 libgdk-x11-2.0.so.0.1400.7 に不具合?

4.X系のバグ、トラブル

モデレータ: 暇人, YoN, nyu

4.3.1JP Final版 libgdk-x11-2.0.so.0.1400.7 に不具合?

投稿記事by みのむし » 09/12/02(水) 21:58

4.3.1JP Final版の動作検証中に /var/log/messages をチェックした所

Dec 2 21:20:56 (none) user.info kernel: firefox-bin[26833]: segfault at a4 ip b6d32ff6 sp bf8a78d0 error 4 in libgdk-x11-2.0.so.0.1400.7[b6ce6000+81000]

というエラーメッセージが出ていましたので、4.1.2.1-JP の /usr/lib/libgdk-x11-2.0.so.0.1200.1 に置き換えました。
置換前)
コード: 全て選択
# cd /usr/lib
# ls -l libgdk-x11-2.0.so*
lrwxrwxrwx 1 root root     26 2009-10-16 09:33 libgdk-x11-2.0.so -> libgdk-x11-2.0.so.0.1400.7
lrwxrwxrwx 1 root root     26 2009-11-30 10:37 libgdk-x11-2.0.so.0 -> libgdk-x11-2.0.so.0.1400.7
-rwxr-xr-x 1 root root 675990 2009-10-02 16:46 libgdk-x11-2.0.so.0.1400.7

置換後)
コード: 全て選択
# cd /usr/lib
# ls -l libgdk-x11-2.0.so*
lrwxrwxrwx 1 root root     26 2009-12-02 21:45 libgdk-x11-2.0.so -> libgdk-x11-2.0.so.0.1200.1
lrwxrwxrwx 1 root root     26 2009-12-02 21:45 libgdk-x11-2.0.so.0 -> libgdk-x11-2.0.so.0.1200.1
-rwxr-xr-x 1 root root 396364 2009-12-02 21:44 libgdk-x11-2.0.so.0.1200.1

で、4.1.2.1-JP と同じです。
これで、Firefox 3.5.5 も起動出来ています。
最後に編集したユーザー みのむし [ 09/12/02(水) 22:18 ], 累計 1 回
みのむし
Notebook PC HP G62
CPU: Intel(R) Core(TM)i5 M450 @ 2.40GHz
MEM: 4GB
Puppy Linux Quickset 5.1.1 JP
PC内蔵無線LANデバイス RTL8171(r8192se_pci)
アバター
みのむし
 
記事: 1164
登録日時: 08/09/10(水) 13:56
お住まい: 福岡市中央区草香江1-2-40-101号

Re: 4.3.1JP Final版 libgdk-x11-2.0.so.0.1400.7 に不具合?

投稿記事by シノバー » 09/12/02(水) 22:12

みのむし さんが書きました:これで、Firefox 3.5.5 も起動出来ています。

そのFireFoxはどこ由来のものでしょうか?
The bar master, Shino's Bar
http://paper.cup.com/
アバター
シノバー
 
記事: 3080
登録日時: 09/03/21(土) 00:05

Re: 4.3.1JP Final版 libgdk-x11-2.0.so.0.1400.7 に不具合?

投稿記事by みのむし » 09/12/02(水) 22:16

>そのFireFoxはどこ由来のものでしょうか?

シノバーさん、リプライありがとうございます。

firefox-3.5.3-430-i486.pet
です。私の環境で作成したものです。

→ ヘルプ(H)|ソフトウェアの更新を確認(O)...で 3.5.5 に更新しています。
最後に編集したユーザー みのむし [ 09/12/02(水) 22:40 ], 累計 1 回
みのむし
Notebook PC HP G62
CPU: Intel(R) Core(TM)i5 M450 @ 2.40GHz
MEM: 4GB
Puppy Linux Quickset 5.1.1 JP
PC内蔵無線LANデバイス RTL8171(r8192se_pci)
アバター
みのむし
 
記事: 1164
登録日時: 08/09/10(水) 13:56
お住まい: 福岡市中央区草香江1-2-40-101号

Re: 4.3.1JP Final版 libgdk-x11-2.0.so.0.1400.7 に不具合?

投稿記事by シノバー » 09/12/02(水) 22:30

みのむし さんが書きました:私の環境で作成したものです。

コンパイルされたのでしょうか?
「私の環境」とは、具体的に。コンパイルされたのであればどのdevxをお使いになられたかも。
PETの名前から推察すると 4.30JPでは動いていて、4.3.1JPになって動かなくなったということでしょうか?

4.30JP→4.3.1JPでGtk関係(だったかな?)のコンパイルオプションが変わっているので、その影響があるかもしれませんね。
ただ、本家がコンパイルオプションを変えた理由は FireFoxなどが落ちることがあったを回避するためなので、起こっていることは反対の現象にも見えます。
The bar master, Shino's Bar
http://paper.cup.com/
アバター
シノバー
 
記事: 3080
登録日時: 09/03/21(土) 00:05

Re: 4.3.1JP Final版 libgdk-x11-2.0.so.0.1400.7 に不具合?

投稿記事by みのむし » 09/12/02(水) 22:45

>「私の環境」とは、具体的に。コンパイルされたのであればどのdevxをお使いになられたかも。
>PETの名前から推察すると 4.30JPでは動いていて、4.3.1JPになって動かなくなったということでしょうか?

4.30-JP の環境で作業。
元は何方かが作成された Firefox のPETパッケージをインストール(/opt/firefox)して、
必要なものをまとめて PETパッケージ化したもの。
当然、4.3.1JP Final版上で問題なく起動・使用出来ています。

>4.30JP→4.3.1JPでGtk関係(だったかな?)のコンパイルオプションが変わっているので、その影響があるかもしれませんね。

それは知りませんでした。
もしかすると、何処かに 4.3.1JP 用の Firefox のPETパッケージがあるのでしょうか?
※4.3.1JP Final (Frugalインストール)環境で検証した所、/var/log/messages にはエラーメッセージは出ていませんでした。2009-12-05 11:41
最後に編集したユーザー みのむし [ 09/12/05(土) 11:41 ], 累計 1 回
みのむし
Notebook PC HP G62
CPU: Intel(R) Core(TM)i5 M450 @ 2.40GHz
MEM: 4GB
Puppy Linux Quickset 5.1.1 JP
PC内蔵無線LANデバイス RTL8171(r8192se_pci)
アバター
みのむし
 
記事: 1164
登録日時: 08/09/10(水) 13:56
お住まい: 福岡市中央区草香江1-2-40-101号

Re: 4.3.1JP Final版 libgdk-x11-2.0.so.0.1400.7 に不具合?

投稿記事by 暇人 » 09/12/02(水) 23:18

browserlinux 355の場合(firefox3.5.5/431ベース)

    # cd /usr/lib
    # ls -l libgdk-x11-2.0.so*
    lrwxrwxrwx 1 root root 26 2009-10-16 09:18 libgdk-x11-2.0.so.0 -> libgdk-x11-2.0.so.0.1400.7
    -rwxr-xr-x 1 root root 538120 2009-10-16 09:24 libgdk-x11-2.0.so.0.1400.7

エラーメッセージは出ませんし起動も問題なし。
管理人見習い
NEC Express5800 S70/SR G6950 2.8GHz/1G
lenovo S10-3 AtomN450 1.66G/1G
暇人/貳馬力/2CV
アバター
暇人
 
記事: 2387
登録日時: 07/08/12(日) 23:33
お住まい: 埼玉県xx市並4


Return to 4.X系

オンラインデータ

このフォーラムを閲覧中のユーザー: なし & ゲスト[2人]